## openimageio 1.0.5+dfsg0

=== src/CMakeLists.txt ===
project (OpenImageIO)
set (OIIO_VERSION_MAJOR 1)
set (OIIO_VERSION_MINOR 0)
set (OIIO_VERSION_PATCH 5)

cmake_minimum_required (VERSION 2.6)
if (NOT CMAKE_VERSION VERSION_LESS 2.8.4)
    cmake_policy (SET CMP0017 NEW)
endif ()
message (STATUS "Project source dir = ${PROJECT_SOURCE_DIR}")
message (STATUS "Project build dir = ${CMAKE_BINARY_DIR}")

if (${PROJECT_SOURCE_DIR} STREQUAL ${CMAKE_BINARY_DIR})
    message (FATAL_ERROR "Not allowed to run in-source build!")
endif ()


if (NOT CMAKE_BUILD_TYPE) 
    set (CMAKE_BUILD_TYPE "Release") 
endif ()

set (EMBEDPLUGINS ON CACHE BOOL "Embed format plugins in libOpenImageIO")
set (BUILDSTATIC OFF CACHE BOOL "Build static library instead of shared")
set (LINKSTATIC OFF CACHE BOOL "Link with static external libraries when possible")
set (USE_OPENGL ON CACHE BOOL "Include OpenGL support")
set (USE_QT ON CACHE BOOL "Include Qt support")
set (FORCE_OPENGL_1 OFF CACHE BOOL "Force iv to use OpenGL's fixed pipeline")
set (USE_TBB ON CACHE BOOL "Use TBB if needed")
set (USE_PYTHON ON CACHE BOOL "Build the Python bindings")
set (USE_FIELD3D ON CACHE BOOL "Use Field3D if found")
set (USE_OPENJPEG ON CACHE BOOL "Use OpenJpeg if found")
set (USE_OCIO ON CACHE BOOL "Use OpenColorIO for color management if found")
set (NOTHREADS OFF CACHE BOOL "Compile with no threads or locking")
set (PYTHON_VERSION 2.6)
set (USE_EXTERNAL_PUGIXML OFF CACHE BOOL
     "Use an externally built shared library version of the pugixml library")

set (SOVERSION ${OIIO_VERSION_MAJOR}.${OIIO_VERSION_MINOR}
     CACHE STRING "Set the SO version in the SO name of the output library")

if (NOTHREADS)
    message (STATUS "NO THREADS!")
    add_definitions ("-DNOTHREADS=1")
else ()
    message (STATUS "Building with thread support")
endif ()

if (USE_TBB)
    add_definitions ("-DUSE_TBB=1")
else ()
    add_definitions ("-DUSE_TBB=0")
    message (STATUS "TBB will not be used")
endif ()

set(CMAKE_MODULE_PATH
    "${PROJECT_SOURCE_DIR}/cmake/modules"
    "${PROJECT_SOURCE_DIR}/cmake")

# Set the default namespace
if(NOT OIIO_NAMESPACE)
  set(OIIO_NAMESPACE OpenImageIO CACHE STRING
      "Specify the master OpenImageIO C++ namespace: Options include OpenImageIO OpenImageIO_<YOURFACILITY> etc."
      FORCE)
endif(NOT OIIO_NAMESPACE)

message(STATUS "Setting Namespace to: ${OIIO_NAMESPACE}")


include (util_macros)
include (oiio_macros)
include (platform)
include (externalpackages)


# We want CTest for testing
include (CTest)

include_directories(
    ${CMAKE_SOURCE_DIR}/include/
    ${CMAKE_BINARY_DIR}/include/
)

# Strict warnings
if (NOT WIN32)
    add_definitions ("-Wall")
endif()

# Disable some warnings for Clang, it's a little too picky with boost
if ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")
    set (CMAKE_INCLUDE_SYSTEM_FLAG_CXX "-isystem ")
    add_definitions ("-Wno-unused-function")
    add_definitions ("-Wno-overloaded-virtual")
endif ()

if (CMAKE_BUILD_TYPE STREQUAL "Debug")
    add_definitions ("-DDEBUG=1")
endif ()

###########################################################################
# Paths for install tree customization.  Note that relative paths are relative
# to CMAKE_INSTALL_PREFIX.
set (DEFAULT_BIN_INSTALL_DIR   "bin")
set (DEFAULT_LIB_INSTALL_DIR   "lib")
set (DEFAULT_INCLUDE_INSTALL_DIR "include/OpenImageIO")
if (UNIX AND NOT SELF_CONTAINED_INSTALL_TREE)
    # Try to be well-behaved and install into reasonable places according to
    # the "standard" unix directory heirarchy
    # TODO: Figure out how to get the correct python directory
    set (DEFAULT_PYLIB_INSTALL_DIR "lib/python/site-packages")
    set (DEFAULT_DOC_INSTALL_DIR "share/doc/openimageio")
    set (DEFAULT_MAN_INSTALL_DIR "share/man/man1")
else ()
    # Here is the "self-contained install tree" case: the expectation here is
    # that everything OIIO related will go into its own directory, not into
    # some standard system heirarchy.
    set (DEFAULT_PYLIB_INSTALL_DIR "python")
    set (DEFAULT_DOC_INSTALL_DIR "doc")
    set (DEFAULT_MAN_INSTALL_DIR "doc/man")
endif ()
if (EXEC_INSTALL_PREFIX)
    # Tack on an extra prefix to support multi-arch builds.
    set (DEFAULT_BIN_INSTALL_DIR   "${EXEC_INSTALL_PREFIX}/${DEFAULT_BIN_INSTALL_DIR}")
    set (DEFAULT_LIB_INSTALL_DIR   "${EXEC_INSTALL_PREFIX}/${DEFAULT_LIB_INSTALL_DIR}")
    set (DEFAULT_PYLIB_INSTALL_DIR "${EXEC_INSTALL_PREFIX}/${DEFAULT_PYLIB_INSTALL_DIR}")
endif ()
# Set up cmake cache variables corresponding to the defaults deduced above, so
# that the user can override them as desired:
set (BIN_INSTALL_DIR ${DEFAULT_BIN_INSTALL_DIR} CACHE STRING
     "Install location for binaries (relative to CMAKE_INSTALL_PREFIX or absolute)")
set (LIB_INSTALL_DIR ${DEFAULT_LIB_INSTALL_DIR} CACHE STRING
     "Install location for libraries (relative to CMAKE_INSTALL_PREFIX or absolute)")
set (PYLIB_INSTALL_DIR ${DEFAULT_PYLIB_INSTALL_DIR} CACHE STRING
     "Install location for python libraries (relative to CMAKE_INSTALL_PREFIX or absolute)")
set (INCLUDE_INSTALL_DIR ${DEFAULT_INCLUDE_INSTALL_DIR} CACHE STRING
     "Install location of header files (relative to CMAKE_INSTALL_PREFIX or absolute)")
set (DOC_INSTALL_DIR ${DEFAULT_DOC_INSTALL_DIR} CACHE STRING
     "Install location for documentation (relative to CMAKE_INSTALL_PREFIX or absolute)")
if (UNIX)
    set (MAN_INSTALL_DIR ${DEFAULT_MAN_INSTALL_DIR} CACHE STRING
         "Install location for manual pages (relative to CMAKE_INSTALL_PREFIX or absolute)")
endif()

set (INSTALL_DOCS ON CACHE BOOL "Install documentation")


###########################################################################
# Rpath handling.
if (CMAKE_SKIP_RPATH)
    # We need to disallow the user from truly setting CMAKE_SKIP_RPATH, since
    # we want to run the generated executables from the build tree in order to
    # generate the manual page documentation.  However, we make sure the
    # install rpath is unset so that the install tree is still free of rpaths
    # for linux packaging purposes.
    set (CMAKE_SKIP_RPATH FALSE)
    unset (CMAKE_INSTALL_RPATH)
else ()
    set (CMAKE_INSTALL_RPATH "${LIB_INSTALL_DIR}")
    if (NOT IS_ABSOLUTE ${CMAKE_INSTALL_RPATH})
        set (CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/${LIB_INSTALL_DIR}")
    endif ()
    set (CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
endif ()


if (MSVC)
    add_definitions (-D_CRT_SECURE_NO_DEPRECATE)
    add_definitions (-D_CRT_SECURE_NO_WARNINGS)
    add_definitions (-D_CRT_NONSTDC_NO_WARNINGS)
    add_definitions (-D_SCL_SECURE_NO_WARNINGS)
    add_definitions (-DJAS_WIN_MSVC_BUILD)
    if(NOT LINKSTATIC)
        add_definitions (-DBOOST_ALL_DYN_LINK)
        add_definitions (-DOPENEXR_DLL)
    endif ()
    if (BUILDSTATIC)
         add_definitions(-DOIIO_STATIC_BUILD=1)
    endif ()
endif (MSVC)


# Tell CMake to process the sub-directories
add_subdirectory (libOpenImageIO)

add_subdirectory (iconvert)
add_subdirectory (idiff)
add_subdirectory (igrep)
add_subdirectory (iinfo)
add_subdirectory (iprocess)
add_subdirectory (maketx)
add_subdirectory (oiiotool)
add_subdirectory (testtex)
add_subdirectory (iv)
# Add IO plugin directories
if (NOT EMBEDPLUGINS)
    add_subdirectory (bmp.imageio)
    add_subdirectory (cineon.imageio)
    add_subdirectory (dds.imageio)
    add_subdirectory (dpx.imageio)
    add_subdirectory (field3d.imageio)
    add_subdirectory (fits.imageio)
    add_subdirectory (hdr.imageio)
    add_subdirectory (ico.imageio)
    add_subdirectory (iff.imageio)
    add_subdirectory (jpeg.imageio)
    add_subdirectory (jpeg2000.imageio)
    add_subdirectory (openexr.imageio)
    add_subdirectory (png.imageio)
    add_subdirectory (pnm.imageio)
    add_subdirectory (psd.imageio)
    add_subdirectory (ptex.imageio)
    add_subdirectory (rla.imageio)
    add_subdirectory (sgi.imageio)
    add_subdirectory (socket.imageio)
    add_subdirectory (softimage.imageio)
    add_subdirectory (targa.imageio)
    add_subdirectory (tiff.imageio)
    add_subdirectory (webp.imageio)
    add_subdirectory (zfile.imageio)
endif ()

if (USE_PYTHON AND oiio_boost_PYTHON_FOUND)
    add_subdirectory (python)
endif ()

add_subdirectory (include)
add_subdirectory (doc)


#########################################################################
# Testing
# 
# Just call oiio_add_tests(testname...) for each test.  Additional
# optional arguments include:
#     FOUNDVAR   specifies the name of a CMAKE variable; if not defined,
#                    the test will not be added for 'make test' (helpful
#                    for excluding tests for libraries not found).
#     IMAGEDIR   specifies a directory for test images, one level higher
#                    than where the oiio top level source lives -- a 
#                    message will be printed if not found.
#     URL        URL where the test images can be found, will be 
#                    incorporated into the error message if the test
#                    image directory is not found.
#     LABEL      If set to "broken", will designate the test as one
#                    that is known to be broken, so will only be run
#                    for "make testall", but not "make test".
#

# Make a copy of the testsuite into the build area
if (DEFINED CMAKE_VERSION AND NOT CMAKE_VERSION VERSION_LESS 2.8)
    file (COPY ${PROJECT_SOURCE_DIR}/../testsuite
          DESTINATION ${CMAKE_BINARY_DIR})
endif()

# List all the individual testsuite tests here:
oiio_add_tests (ico gpsread oiiotool oiiotool-fixnan 
                sgi rla psd dpx
                texture-fill texture-gray texture-grid
                texture-missing texture-overscan
                texture-pointsample texture-res
                texture-skinny texture-fat
                texture-field3d
               )


# List testsuites which need special external reference images from the web
# here:
oiio_add_tests (bmp
    IMAGEDIR bmpsuite
    URL http://entropymine.com/jason/bmpsuite/bmpsuite.zip)

oiio_add_tests (tiff-suite tiff-depths
    IMAGEDIR libtiffpic
    URL http://www.remotesensing.org/libtiff/images.html)

oiio_add_tests (openexr-suite openexr-multires openexr-chroma
    IMAGEDIR openexr-images-1.5.0
    URL http://www.openexr.com/downloads.html)

oiio_add_tests (jpeg2000
    FOUNDVAR OPENJPEG_FOUND
    IMAGEDIR j2kp4files_v1_5
    URL http://www.itu.int/net/ITU-T/sigdb/speimage/ImageForm-s.aspx?val=10100803)

oiio_add_tests (targa-tgautils
    IMAGEDIR TGAUTILS
    URL http://tgautils.inequation.org/)

oiio_add_tests (fits
    IMAGEDIR fits-images
    URL http://www.cv.nrao.edu/fits/data/tests/)

oiio_add_tests (webp
    FOUNDVAR WEBP_FOUND
    IMAGEDIR webp-images
    URL http://code.google.com/speed/webp/gallery.html)


#########################################################################
# Packaging
set (CPACK_PACKAGE_VERSION_MAJOR ${OIIO_VERSION_MAJOR})
set (CPACK_PACKAGE_VERSION_MINOR ${OIIO_VERSION_MINOR})
set (CPACK_PACKAGE_VERSION_PATCH ${OIIO_VERSION_PATCH})
# "Vendor" is only used in copyright notices, so we use the same thing that
# the rest of the copyright notices say.
set (CPACK_PACKAGE_VENDOR "Larry Gritz et al.")
set (CPACK_PACKAGE_DESCRIPTION_SUMMARY "OpenImageIO is an open source library for reading and writing image file formats, a nice format-agnostic image viewer, and other image-related classes and utilities.")
set (CPACK_PACKAGE_DESCRIPTION_FILE "${PROJECT_SOURCE_DIR}/doc/Description.txt")
set (CPACK_PACKAGE_FILE_NAME OpenImageIO-${OIIO_VERSION_MAJOR}.${OIIO_VERSION_MINOR}.${OIIO_VERSION_PATCH}-${platform})
#SET (CPACK_PACKAGE_INSTALL_DIRECTORY ${PROJECT_SOURCE_DIR}/..)
exec_program ("cmake -E copy ${PROJECT_SOURCE_DIR}/../LICENSE ${CMAKE_BINARY_DIR}/License.txt")
set (CPACK_RESOURCE_FILE_LICENSE "${CMAKE_BINARY_DIR}/License.txt")
exec_program ("cmake -E copy ${PROJECT_SOURCE_DIR}/../README ${CMAKE_BINARY_DIR}/Readme.txt")
set (CPACK_RESOURCE_FILE_README "${CMAKE_BINARY_DIR}/Readme.txt")
set (CPACK_RESOURCE_FILE_WELCOME "${PROJECT_SOURCE_DIR}/doc/Welcome.txt")

=== debian/changelog ===
openimageio (1.0.5+dfsg0-1ubuntu1) quantal; urgency=low

  * Build-depend on libtiff-dev rather than libtiff4-dev.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 10 Sep 2012 11:40:17 +0100

openimageio (1.0.5+dfsg0-1build1) quantal; urgency=low

  * Rebuild for libglew1.8.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 03 Sep 2012 14:03:49 +0100

openimageio (1.0.5+dfsg0-1) unstable; urgency=low

  * New upstream release
    + debian/: symbols files added
  * debian/: updated manpages moved to "manpages" sub-dir.
    Thanks to IRIE Shinsuke for the updated manpages (Closes: #673504)
  * debian/patches/: #0002 added to fix FTBFS on Hurd.
    Thanks to Pino Toscano (pino) for the hint

 -- Matteo F. Vescovi <mfv.debian@gmail.com>  Tue, 05 Jun 2012 10:50:52 +0200

openimageio (1.0.3+dfsg0-1) unstable; urgency=low

  * New upstream release
  * debian/patches/:
    + #0001/#0002 (doc generation) merged
      Thanks to David Paleino (dapal) for the hint
  * debian/rules: TBB support disabled
  * debian/: 8 => 9 dh bump

 -- Matteo F. Vescovi <mfv.debian@gmail.com>  Wed, 18 Apr 2012 14:45:11 +0200

openimageio (1.0.0+dfsg0-1) unstable; urgency=low

  * Initial release (Closes: #660984)

 -- Matteo F. Vescovi <mfv.debian@gmail.com>  Sat, 10 Mar 2012 10:39:11 +0100

=== debian/control ===
Source: openimageio
Section: libs
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
Uploaders: Matteo F. Vescovi <mfv.debian@gmail.com>
Build-Depends:
 cmake,
 debhelper (>= 9),
 libboost-filesystem-dev,
 libboost-regex-dev,
 libboost-system-dev,
 libboost-thread-dev,
 libglew-dev,
 libjpeg-dev,
 libopenexr-dev,
 libpng-dev,
 libqt4-opengl-dev,
 libtiff-dev,
# documentation
 texlive-latex-base,
 latex2html,
 txt2man
Standards-Version: 3.9.3
Homepage: http://www.openimageio.org/
Vcs-Git: git://anonscm.debian.org/pkg-phototools/openimageio.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-phototools/openimageio.git

Package: libopenimageio1.0
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: Library for reading and writing images - runtime
 OpenImageIO is a library for reading and writing images, and a bunch of
 related classes, utilities, and applications. Main features include:
 .
  * Extremely simple but powerful ImageInput and ImageOutput APIs for reading
    and writing 2D images that is format agnostic -- that is, a "client app"
    doesn't need to know the details about any particular image file formats.
    Specific formats are implemented by DLL/DSO plugins.
 .
  * Format plugins for TIFF, JPEG/JFIF, OpenEXR, PNG, HDR/RGBE, Targa,
    JPEG-2000, DPX, Cineon, FITS, BMP, ICO, RMan Zfile, Softimage PIC, DDS,
    SGI, PNM/PPM/PGM/PBM, Field3d, WebP. More coming! The plugins are really
    good at understanding all the strange corners of the image formats, and
    are very careful about preserving image metadata (including Exif, GPS, and
    IPTC data).
  .
  * An ImageCache class that transparently manages a cache so that it can access
    truly vast amounts of image data (thousands of image files totaling hundreds
    of GB) very efficiently using only a tiny amount (tens of megabytes at most)
    of runtime memory. Additionally, a TextureSystem class provides filtered
    MIP-map texture lookups, atop the nice caching behavior of ImageCache.
 .
  * Several image tools based on these classes, including iinfo (print detailed
    info about images), iconvert (convert among formats, data types, or modify
    metadata), idiff (compare images),igrep (search images for matching
    metadata). Because these tools are based on ImageInput/ImageOutput, they
    work with any image formats for which ImageIO plugins are available.
 .
  * A really nice image viewer, iv, also based on OpenImageIO classes (and so
    will work with any formats for which plugins are available).
 .
  * Supported on Linux, OS X, and Windows.
 .
  * All available under the BSD license, so you may modify it and use it in both
    open source or proprietary apps.
 .
 This package contains the runtime library for building programs that use
 libOpenImageIO.

Package: libopenimageio-dev
Section: libdevel
Architecture: any
Depends:
 libopenimageio1.0 (= ${binary:Version}),
 ${misc:Depends}
Description: Library for reading and writing images - development
 OpenImageIO is a library for reading and writing images, and a bunch of
 related classes, utilities, and applications. Main features include:
 .
  * Extremely simple but powerful ImageInput and ImageOutput APIs for reading
    and writing 2D images that is format agnostic -- that is, a "client app"
    doesn't need to know the details about any particular image file formats.
    Specific formats are implemented by DLL/DSO plugins.
 .
  * Format plugins for TIFF, JPEG/JFIF, OpenEXR, PNG, HDR/RGBE, Targa,
    JPEG-2000, DPX, Cineon, FITS, BMP, ICO, RMan Zfile, Softimage PIC, DDS,
    SGI, PNM/PPM/PGM/PBM, Field3d, WebP. More coming! The plugins are really
    good at understanding all the strange corners of the image formats, and
    are very careful about preserving image metadata (including Exif, GPS, and
    IPTC data).
  .
  * An ImageCache class that transparently manages a cache so that it can access
    truly vast amounts of image data (thousands of image files totaling hundreds
    of GB) very efficiently using only a tiny amount (tens of megabytes at most)
    of runtime memory. Additionally, a TextureSystem class provides filtered
    MIP-map texture lookups, atop the nice caching behavior of ImageCache.
 .
  * Several image tools based on these classes, including iinfo (print detailed
    info about images), iconvert (convert among formats, data types, or modify
    metadata), idiff (compare images),igrep (search images for matching
    metadata). Because these tools are based on ImageInput/ImageOutput, they
    work with any image formats for which ImageIO plugins are available.
 .
  * A really nice image viewer, iv, also based on OpenImageIO classes (and so
    will work with any formats for which plugins are available).
 .
  * Supported on Linux, OS X, and Windows.
 .
  * All available under the BSD license, so you may modify it and use it in both
    open source or proprietary apps.
 .
 This package contains the static library and headers for building programs that
 use libOpenImageIO.

Package: openimageio-tools
Section: graphics
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: Library for reading and writing images - command line tools
 OpenImageIO is a library for reading and writing images, and a bunch of
 related classes, utilities, and applications. Main features include:
 .
  * Extremely simple but powerful ImageInput and ImageOutput APIs for reading
    and writing 2D images that is format agnostic -- that is, a "client app"
    doesn't need to know the details about any particular image file formats.
    Specific formats are implemented by DLL/DSO plugins.
 .
  * Format plugins for TIFF, JPEG/JFIF, OpenEXR, PNG, HDR/RGBE, Targa,
    JPEG-2000, DPX, Cineon, FITS, BMP, ICO, RMan Zfile, Softimage PIC, DDS,
    SGI, PNM/PPM/PGM/PBM, Field3d, WebP. More coming! The plugins are really
    good at understanding all the strange corners of the image formats, and
    are very careful about preserving image metadata (including Exif, GPS, and
    IPTC data).
  .
  * An ImageCache class that transparently manages a cache so that it can access
    truly vast amounts of image data (thousands of image files totaling hundreds
    of GB) very efficiently using only a tiny amount (tens of megabytes at most)
    of runtime memory. Additionally, a TextureSystem class provides filtered
    MIP-map texture lookups, atop the nice caching behavior of ImageCache.
 .
  * Several image tools based on these classes, including iinfo (print detailed
    info about images), iconvert (convert among formats, data types, or modify
    metadata), idiff (compare images),igrep (search images for matching
    metadata). Because these tools are based on ImageInput/ImageOutput, they
    work with any image formats for which ImageIO plugins are available.
 .
  * A really nice image viewer, iv, also based on OpenImageIO classes (and so
    will work with any formats for which plugins are available).
 .
  * Supported on Linux, OS X, and Windows.
 .
  * All available under the BSD license, so you may modify it and use it in both
    open source or proprietary apps.
 .
 This package contains command line tools, including iv image viewer.

=== debian/rules ===
#!/usr/bin/make -f
export DH_OPTIONS
export REPACK_SH=$(CURDIR)/debian/repack.sh

INSTDIR=debian/tmp

ifeq ($(DEB_HOST_ARCH_CPU),amd64)
export DEB_CXXFLAGS_MAINT_APPEND := -fPIC
endif

%:
	dh $@ --buildsystem=cmake \
		  --builddirectory=build \
		  --sourcedirectory=src \
		  --parallel

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_SKIP_RPATH=ON \
		-DUSE_FIELD3D=OFF \
		-DUSE_PYTHON=OFF \
		-DUSE_TBB=OFF

override_dh_auto_build:
	$(MAKE) -C $(CURDIR)/src/doc/
	dh_auto_build

override_dh_auto_install:
	dh_auto_install \
		--buildsystem=cmake \
		--destdir=$(INSTDIR)

override_dh_auto_test:

override_dh_install:
	rm -f debian/tmp/usr/share/doc/openimageio/CHANGES
	rm -f debian/tmp/usr/share/doc/openimageio/LICENSE
	dh_install

get-orig-source:
	uscan --force-download

=== debian/watch ===
version=3
opts="dversionmangle=s/\+dfsg.*//" \
https://github.com/OpenImageIO/oiio/tags .*/tarball/Release-(.*)
